
/**
 * Module dependencies.
 */

var express = require('express')
  , routes = require('./routes')
  , srpintrest = require('./routes/srpintrest')
  , vdpintrest = require('./routes/vdpintrest')
  , user = require('./routes/user')
  , http = require('http')
  , path = require('path');

var app = express();

app.configure(function(){
  app.set('port', process.env.VCAP_APP_PORT || 3000);
  app.set('views', __dirname + '/views');
  app.set('view engine', 'jade');
  app.use(express.favicon());
  app.use(express.logger('dev'));
  app.use(express.bodyParser());
  app.use(express.methodOverride());
  app.use(express.cookieParser('your secret here'));
  app.use(express.session());
  app.use(app.router);
  app.use(express.static(path.join(__dirname, 'public')));
});

app.configure('development', function(){
  app.use(express.errorHandler());
});

app.get('/', routes.index);
app.get('/srpintrest', srpintrest.search);
app.get('/vdpintrest', vdpintrest.listing);
app.get('/users', user.list);

http.createServer(app).listen(app.get('port'), function(){
  console.log("Express server listening on port " + app.get('port'));
});

// from original app.js from appfog
//app.listen(process.env.VCAP_APP_PORT || 3000);